import { defineComponent as n, createBlock as s, openBlock as t, unref as e, mergeProps as a, withCtx as r, renderSlot as i } from "vue";
import { DasBaseIcon as c } from "@das-fed/ui/packages/components/icon";
const p = '<?xml version="1.0" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg class="icon" width="200px" height="200.00px" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path  d="M512 0a320 320 0 0 1 320 320 64 64 0 0 1-127.552 7.488L704 320a192 192 0 1 0-384 0v192h576a64 64 0 0 1 64 64v384a64 64 0 0 1-64 64H128a64 64 0 0 1-64-64V576a64 64 0 0 1 64-64h64V320a320 320 0 0 1 320-320z" /></svg>', l = /* @__PURE__ */ n({
  __name: "index",
  setup(h) {
    return (o, w) => (t(), s(e(c), a({ icon: e(p) }, o.$attrs), {
      default: r(() => [
        i(o.$slots, "default")
      ]),
      _: 3
      /* FORWARDED */
    }, 16, ["icon"]));
  }
});
export {
  l as DasIconDengbijiesuo
};
